Subject: [netlmm] Last hop link-local behavior

From: "Narayanan, Vidya" <[email-masked]>
Date: Mon, 12 Feb 2007 22:08:36 -0800

All,
This is a topic on which we have had a lot of discussion on the list. I
tried collecting offlist feedback on potential problems with having last
hop shared link-local behavior and have been unable to get any useful
pointers to what is really broken with that model. If the shared
link-local semantics spanned the entire NETLMM domain, it is obviously
problematic and we've all agreed that is not required. However, at this
point, shared link-local behavior on the last hop (between the MN and
the AR) seems reasonable to support. 

I suggest that we document clearly that this means that the AR is
serving as the default router and that upon movement, the MN will lose
all its link-local neighbors and that may impact some applications
relying on the link-local reachability of some of the neighbors. This is
especially true if the applications are unaware of the link change (as
would typically be the case when the global IP address remains the same)
and hence doesn't expect all the link-local neighbors going away. 

Thoughts? 

Thanks,
Vidya

_______________________________________________
netlmm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/netlmm

---

From: Sri Gundavelli <[email-masked]>
Date: Mon, 12 Feb 2007 22:35:04 -0800 (PST)

> and hence doesn't expect all the link-local neighbors going away.

Agreed !! We did specify that the AR is the default router
on the MN-AR link. However, we can certainly permit deployments
to configure default routers with virtual link-local and MAC
address semanticsm, it has no bearing on the inter-operability
and the PMIP6 specification cannot really disallow that
scenario.

With respect to the behaviour of link-local neighbors disappearing
as the mobile moves from link to link, that is the property of
any network link and the change of link is just one of the
reasons. From the perspective of the node, either the node or
the neighbor moved away from the link, the net result is the
same.

So, we agree that shared-link on the MN-AR link should be assumed
and we can certainly document the behaviour for PMIP mobility
scenario.

Thanks
Sri

---

From: "Templin, Fred L" <[email-masked]>
Date: Tue, 13 Feb 2007 13:51:22 -0800

Vidya - thanks for checking into this.

Fred
[email-masked] 

> -----Original Message-----
> From: Narayanan, Vidya [mailto:[email-masked]] 
> Sent: Monday, February 12, 2007 10:09 PM
> To: [email-masked]
> Subject: [netlmm] Last hop link-local behavior
> 
> All,